mapMeridians {oce} | R Documentation

## Plot meridians on an existing map [DEPRECATED]

### Description

Plot meridians (lines of constant latitude) on a existing map. DEPRECATED–will be removed by end Sept 2014

### Usage

    mapMeridians(latitude, lty='solid', lwd=0.5*par('lwd'), col='darkgray', ...)

### Arguments

`latitude` | either a boolean indicating whether to draw a meridian grid, or a vector of latitudes at which to draw meridians.
`lty` | line type
`lwd` | line width
`col` | colour
`...` | optional arguments passed to `lines`.

### Details

Meridians that will not fit in the plotting space are ignored.

### Bugs

This should use `approx` to fill in multiple segments within the line, so that e.g. great circle lines will be curved.

### Author(s)

Dan Kelley

### See Also

See `mapPlot` for general information on plotting maps, including other functions.

### Examples

    ## Not run:
    library(oce)
    data(coastlineWorld)
    longitude <- coastlineWorld[['longitude']]
    latitude <- coastlineWorld[['latitude']]
    mapPlot(longitude, latitude, type='l',
    longitudelim=c(-130,-50), latitudelim=c(30,60),
    proj="polyconic", orientation=c(90, -90, 0))
    mapMeridians()

    ## End(Not run)

[Package oce version 0.9-18 Index]